Subject: issue 18

From: Yakov Rekhter <[email-masked]>
Date: Tue, 21 Jan 2003 08:44:36 -0800

> 18) MED Removal Text
> ----------------------------------------------------------------------------
> Status: No Consensus
> Change: Potentially
> Summary: Select new text from the options below.
> 
> Discussion:
> 
> This issue is spawned from issue 16.
> 
> An anonymous reviewer pointed out:
> 
> > Section 9.1.2.2, page 63, paragraph starting "If a MULTI_EXIT_DISC
> > attribute is removed before..."  The first sentence is pretty nearly
> > incomprehensible.
> 
> Yakov replied:
> 
>  here is my attempt to clarify this:
> 
>   If a MULTI_EXIT_DISC attribute is removed before re-advertising a 
>   route into IBGP, then (prior to the removal) the MULTI_EXIT_DISC
>   attribute may only be considered in the comparison of EBGP learned 
>   routes; the attribute is then removed, and then the remaining EBGP
>   learned routes may be compared to the remaining IBGP learned routes,
>   without considering the MULTI_EXIT_DISC attribute for those EBGP
>   learned routes whose MULTI_EXIT_DISC attribute will be removed
>   before advertising these routes to IBGP.
> 
>  Any further suggestions on how to improve this would be appreciated.
> 
> Siva replied:
> 
>   How about this:
> 
>  %   If a MULTI_EXIT_DISC attribute is removed before re-advertising a
>  %   route into IBGP, then comparison based on the MULT_EXIT_DISC
>  %   attribute may (MUST?) be performed only among the EBGP learned routes.
>  %   This comparison MUST be performed before the removal of the
>  %   MULTI_EXIT_DISC attribute. The MULT_EXIT_DISC attribute must then
>  %   be removed from those EBGP routes where such removal is required and
>  %   which are still eligible. This is followed by comparison with IBGP
>  %   learned routes.
> 
>     I think this reflects our objectives, which is:
> 
>     a) If MED is to be removed, compare EBGP routes based on the MED
> 
>     b) Then remove the MED
> 
>     c) Then do comparison with IBGP routes
> 
> Andrew suggested:
> 
>  If a router is configured to remove a MUTLI_EXIT_DISC attribute from
>  a route learned from EBGP, before readvertising it into IBGP the
>  router MUST compare the route with other EBGP-learned routes before
>  removing the MULTI_EXIT_DISC.  Once this comparison is complete,
>  the MED may be removed, and any remaining routes can be compared with
>  IBGP routes to determine the best route.

Here is the text that will go in the next version of the draft:

  If a MULTI_EXIT_DISC attribute is removed before re-advertising a
  route into IBGP, then comparison based on the MULT_EXIT_DISC
  attribute MAY be performed only among the EBGP learned routes.
  This comparison MUST be performed before the removal of the
  MULTI_EXIT_DISC attribute. The MULT_EXIT_DISC attribute is then
  removed from those EBGP routes where such removal is required and
  which are still eligible. This is followed by comparison with
  IBGP learned routes. 

Yakov.

---

From: Mathew Richardson <[email-masked]>
Date: Tue, 21 Jan 2003 13:02:34 -0500

> Yakov Rekhter <[email-masked]> [Tue, Jan 21, 2003 at 08:44:36AM -0800]:

<snip>

I think this new text is ambiguous.

>  attribute MAY be performed only among the EBGP learned routes.

This could be taken to mean either that the comparison may be performed,
and if it's performed it must be performed only between EBGP learned
routes, or that the comparison must be performed, but it may be performed
only between EBGP learned routes.

>  MULTI_EXIT_DISC attribute.

If doing the comparison is optional, then I think that this sentence
should read "If the comparsion is performed, then it MUST be perfo..."

>                             The MULT_EXIT_DISC attribute is then

<snip>

I think that it is desirable for an operator to be able to turn off
MED processing entirely (including turning off all MED based
comparisons), so I would suggest the following text:

  If a MULTI_EXIT_DISC attribute is removed before re-advertising a
  route into IBGP, comparison based on the received MULTI_EXIT_DISC
  attribute MAY be performed.  If an implementation chooses to perform
  this comparison, then the comparison MUST be performed only among EBGP
  learned routes, and it MUST be performed before the removal of the
  MULTI_EXIT_DISC attribute.

mrr

---

From: Curtis Villamizar <[email-masked]>
Date: Tue, 21 Jan 2003 21:38:10 -0500

In message <[email-masked]>, Yakov Rekhter writes
>   which are still eligible. This is followed by comparison with

Looks good to me.

I see no need to change "This comparison MUST be performed before the
removal of the MULTI_EXIT_DISC attribute".  There is no implication
that MULTI_EXIT_DISC must be removed and the first sentence clearly
indicates that doing so is not required therefore no ambiguity.
Adding a "If a MULTI_EXIT_DISC attribute is removed" to the second
sentence would be redundant.

Curtis

---

From: Yakov Rekhter <[email-masked]>
Date: Fri, 31 Jan 2003 08:46:47 -0800

Curtis,

> sentence would be redundant.

with this in mind, and taking into account the absence of any objections 
since your posting the issue is closed (no changes to the text).

Yakov.